<div>
  <h2>Vehículos</h2>

  <div><button [routerLink]="['/vehiculos','create']" >Agregar nuevo</button></div>
  <div>
    <table>
      <thead>
        <tr>
          <th>Placas</th>
          <th>Color</th>
          <th>Marca</th>
          <th>Modelo</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let v of listaVehiculos">
          <td>{{ v.placas }}</td>
          <td>{{ v.color }}</td>
          <td>{{ v.marca }}</td>
          <td>{{v.modelo}}</td>
          <td><a [routerLink]="['/vehiculos',v.placas]">Detalle</a>
          | <span (click)="modificarVehiculo(v.placas)">Editar</span>
          | <span (click)="eliminarVehiculo(v.placas)">Eliminar</span></td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
